import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconPostcard as IconPostcardClass } from "../../../../components/icon/icons/postcard.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconPostcard = (props) => {
  IconPostcardClass.define();
  const JSXElement = getReactComponent("gds-icon-postcard");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconPostcard.displayName = "IconPostcard";
export {
  IconPostcard
};
